=== lapack-netlib/Makefile ===
clean:
