=== debian/changelog ===
openblas (0.2.8-6ubuntu1) trusty; urgency=medium

  * computational-error-of-dgemv_n.patch: fix wrong dgemv results

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 04 Apr 2014 15:17:35 +0200

openblas (0.2.8-6) unstable; urgency=medium

  * Team upload.
  * backport two fixes from upstream git:
    - dgemv-crash.patch: fixes core2/barcelona dgemv kernel
    - wrong-parameter-for-zherk-zher2.patch

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 13 Mar 2014 20:03:07 +0100

openblas (0.2.8-5) unstable; urgency=medium

  * kfreebsd-soname.patch: give a SONAME to the shared library under kfreebsd,
    by using the same stanza to create the shared object than under Linux.
    Incidentally, this fixes the FTBFS on kfreebsd-* archs.
  * Remove ia64, powerpcspe, hurd-i386 and sparc from the list of
    supported architectures (the package never compiled on those).
  * fork-handler.patch: improved version backported from upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 21 Feb 2014 18:07:32 +0100

openblas (0.2.8-4) unstable; urgency=medium

  * Revert to pthreads parallelism instead of OpenMP (Closes: #737675)
  * remove-openmp-warning.patch: new patch, removes annoying warning when
    OpenBLAS is called from an OpenMP application.
  * fork-handler.patch: fixes hangs of OpenBLAS when called from a program
    using OpenMP (Closes: #739331)
  * Drop obsolete code in maintainer scripts to deal with the transition
    libblas.so.3gf => libblas.so.3.
  * Ship an additional libopenblas.so.0 in /usr/lib, to allow direct
    linking to OpenBLAS, without using the alternatives system for BLAS
    implementations. Thanks to Martin Koehler for his help in crafting a
    proper solution. (Closes: #725673)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Feb 2014 17:20:03 +0100

openblas (0.2.8-3) unstable; urgency=medium

  * Use OpenMP parallelism instead of pthreads (Closes: #684344).
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Bump to debhelper compat level 9.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Jan 2014 14:07:39 +0100

openblas (0.2.8-2) unstable; urgency=low

  * qemu-athlon.patch: new patch, should fix FTBFS on babin.debian.org
    (which is a weird qemu guest declaring an Athlon CPU but without
    3dnow! extensions)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Aug 2013 18:04:04 +0200

openblas (0.2.8-1) unstable; urgency=low

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 03 Aug 2013 23:25:41 +0200

openblas (0.2.7-1) unstable; urgency=low

  * New upstream release
  * power7.patch: remove patch, applied upstream
  * Repackage upstream tarball without embedded LAPACK copy
  * Package descriptions: mention that multiple arch is only for x86; fix typo
  * Use canonical URLs for packaging VCS
  * Add dependency of libopenblas-dev on libblas-dev, so that CBLAS headers are
    installed. (Closes: #685890)
  * Disable memory address range benchmarking (NO_WARMUP=1), for better
    startup performance. (Closes: #709224)
  * test-custom-package.patch: new package, ensures that testsuite is run even
    when building a custom package. (Closes: #677866)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 26 Jul 2013 18:37:41 +0200

openblas (0.2.6-2) unstable; urgency=low

  * power7.patch: new patch, should fix FTBFS on powerpc buildd with Power7 arch
  * libblas3-soname.patch: new patch, sets the SONAME of the dynamic library to
    libblas.so.3. (Closes: #687349)
  * Put "libblas3 | libblas.so.3" in the shlibs of libopenblas-base.
    Packages compiled with libopenblas-dev installed will now have a BLAS
    dependency satisfiable by all BLAS flavours.
  * Switch to git as VCS for packaging

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 18:40:07 +0200

openblas (0.2.6-1) unstable; urgency=low

  * Upload to unstable
  * Update Standards-Version to 3.9.4
  * Increase the maximum number of threads to 64 when building the generic
    package. At runtime, OpenBLAS will not use more threads than there are
    available cores. (LP: #817212)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 02 Mar 2013 17:46:01 +0100
